'use strict';
// const IP = 'http://192.168.0.168:5000/'; // thuis
//const IP = 'http://172.30.252.68:5000/'; // school
// const IP = 'http://169.254.10.1:5000/'; // apipa
let IP = 'http://' + location.host + ':5000/';
const socket = io.connect(IP);

//#region show
const showbottleinfo = function(value) {
  console.log(value);
  let html = `
  <div class="u-md-margin-top-bottom u-1-of-1 u-1-of-2-bp2 u-1-of-4-bp4">
  <div class="c-cup js-bottle1"><img src=${changetoimg(value[0].ultrasonic)} alt="bottle filling" /></div>
  <div class="c-info-card js-bottle-info">
    <h1>${value[0].bottle}</h1>
    <p>temparature : ${value[0].temperature}</p>
  </div>
</div>
<div class="u-md-margin-top-bottom u-1-of-1 u-1-of-2-bp2 u-1-of-4-bp4">
  <div class="c-cup js-bottle1"><img src=${changetoimg(value[1].ultrasonic)} alt="bottle filling" /></div>
  <div class="c-info-card js-bottle-info">
    <h1>${value[1].bottle}</h1>
    <p>temperature : ${value[1].temperature}</p>
  </div>
</div>
<div class="u-md-margin-top-bottom u-1-of-1 u-1-of-2-bp2 u-1-of-4-bp4">
  <div class="c-cup js-bottle1"><img src=${changetoimg(value[2].ultrasonic)} alt="bottle filling" /></div>
  <div class="c-info-card js-bottle-info">
    <h1>${value[2].bottle}</h1>
    <p>temperature : ${value[2].temperature}</p>
  </div>
</div>
<div class="u-md-margin-top-bottom u-1-of-1 u-1-of-2-bp2 u-1-of-4-bp4">
  <div class="c-cup js-bottle1"><img src=${changetoimg(value[3].ultrasonic)} alt="bottle filling" /></div>
  <div class="c-info-card js-bottle-info">
    <h1>${value[3].bottle}</h1>
    <p>temperature : ${value[3].temperature}</p>
  </div>
</div>
  `;
  document.querySelector('.js-bottle-info').innerHTML = html;
};

const showbottlelist = function(value) {
  let html = ``;
  for (const i of value) {
    console.log(i.bottlesID);
    html += `
    <div class="o-layout o-layout--justify-space-between u-margin-sm-top-bottom js-change-info"  id=${i.bottlesID}>
              <li>${i.Name}</li>
              <div class="o-layout">
                <li class="u-margin-right">${i.Percentage_alcohol}%</li>
                <li>${i.Pump_nmbr}</li>
                <li>
                  <svg id=${i.bottlesID} class="o-layout__item-svg js-change" xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14">
  <path id="ic_close_24px" d="M19,6.41,17.59,5,12,10.59,6.41,5,5,6.41,10.59,12,5,17.59,6.41,19,12,13.41,17.59,19,19,17.59,13.41,12Z" transform="translate(-5 -5)"/>
</svg>
                </li>
              </div>
            </div>
    `;
  }
  document.querySelector('.js-bottle-list').innerHTML = html;
  listentochange();
};

//#endregion

//#region GET
setInterval(function() {
  socket.emit('getvalues');
}, 60000);

const getbottleslist = function() {
  console.log('getbottlelist');
  handleData(IP + 'bottles', showbottlelist, 'GET');
};
//#endregion

//#region POST
const postbottle = function() {
  let body = JSON.stringify({
    name: document.getElementById('bottlename').value,
    percentage: document.getElementById('percentage').value,
    pump_nmbr: document.getElementById('selectlist').value
  });
  handleData(IP + 'bottles', refresh, 'POST', body);
};
//#endregion

//#region DELETE
const delbottle = function(id) {
  handleData(IP + `delbottles/${id}`, refresh, 'DELETE');
};
//#endregion

//#region ListenTo
socket.on('values', function(value) {
  showbottleinfo(value);
});

const listentochange = function() {
  let del = document.querySelectorAll('.js-change');
  for (const i of del) {
    i.addEventListener('click', function() {
      console.log(i.getAttribute('id'));
      delbottle(i.getAttribute('id'));
    });
  }
};

const listentoaddbottle = function() {
  document.querySelector('.js-addbottle').addEventListener('click', postbottle);
};

//#endregion

const refresh = function(value) {
  console.log(value);
  getbottleslist();
  listentoaddbottle();
};

const changetoimg = function(value) {
  value /= 100;
  value *= 6;
  console.log(value);
  if (value < 0.5) {
    console.log('img/cup.svg');
    return '/img/Cup.svg';
  }
  if (value < 1.5 && value > 0.5) {
    console.log('img/cup1.svg');
    return '/img/Cup-filling1.svg';
  }
  if (value < 2.5 && value > 1.5) {
    console.log('img/cup2.svg');
    return '/img/Cup-filling2.svg';
  }
  if (value < 3.5 && value > 2.5) {
    console.log('img/cup3.svg');
    return '/img/Cup-filling3.svg';
  }
  if (value < 4.5 && value > 3.5) {
    console.log('img/cup4.svg');
    return '/img/Cup-filling4.svg';
  }
  if (value > 4.5) {
    console.log('img/cup5.svg');
    return '/img/Cup-filling5.svg';
  }
};

//#region init
const init = function() {
  socket.on('connect', function() {
    console.log('connected');
  });
  socket.emit('getvalues');
  //socket.emit('lcdbottles');
  getbottleslist();
  listentoaddbottle();
};

document.addEventListener('DOMContentLoaded', function() {
  console.info('DOM geladen');
  init();
});
