'use strict';
// const IP = 'http://192.168.0.168:5000/'; // thuis
// let IP = 'http://172.30.252.68:5000/'; // school
// const IP = 'http://169.254.10.1:5000/'; // apipa
let IP = 'http://' + location.host + ':5000/';
const socket = io.connect(IP);

//#region show
const showcocktails = function(cocktails) {
  let html = ``;
  let html_list = ``;
  for (const cocktail of cocktails) {
    console.log(cocktail);
    html += `<option value="${cocktail.cocktailID}">${cocktail.Name}</option>`;
    html_list += `            
    <div class="o-layout o-layout--justify-space-between u-margin-sm-top-bottom">
    <div>
      <li>${cocktail.Name}</li>
    </div>
    <div class="o-layout">
        <li class="">${cocktail.Price}</li>
        <li value=${cocktail.cocktailID} class="js-del-cocktail"><svg class="o-layout__item-svg" xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14">
        <path id="ic_close_24px" d="M19,6.41,17.59,5,12,10.59,6.41,5,5,6.41,10.59,12,5,17.59,6.41,19,12,13.41,17.59,19,19,17.59,13.41,12Z" transform="translate(-5 -5)"/>
        </svg></li>
    </div>
    </div>`;
  }
  document.querySelector('.js-cocktail-select').innerHTML = html;
  document.querySelector('.js-cocktaillist').innerHTML = html_list;
  listentodelcocktail();
};

const showbottle = function(bottles) {
  let html = `<option value=0>select ingredient</option>`;
  for (const bottle of bottles) {
    html += `<option value=${bottle.bottlesID}>${bottle.Name}</option>`;
  }
  const lists = document.querySelectorAll('.js-bottle');
  for (const i of lists) {
    i.innerHTML = html;
  }
};

//#endregion

//#region GET
const getCocktails = function() {
  handleData(IP + 'cocktails', showcocktails);
};

const getbottle = function() {
  handleData(IP + 'bottles', showbottle);
};
//#endregion

//#region POST
const postcocktail = function() {
  const body = JSON.stringify({
    name: document.getElementById('cocktailname').value,
    price: document.getElementById('price').value,
    ingredients: [
      {
        bottleid: document.getElementById('ingredient1').value,
        amount: document.getElementById('ingredient1-ml').value
      },
      {
        bottleid: document.getElementById('ingredient2').value,
        amount: document.getElementById('ingredient2-ml').value
      },
      {
        bottleid: document.getElementById('ingredient3').value,
        amount: document.getElementById('ingredient3-ml').value
      },
      {
        bottleid: document.getElementById('ingredient4').value,
        amount: document.getElementById('ingredient4-ml').value
      }
    ]
  });
  console.log(body);
  handleData(IP + 'cocktails', refresh, 'POST', body);
  document.getElementById('cocktailname').value = '';
  document.getElementById('price').value = '';
  document.getElementById('ingredient1-ml').value = '';
  document.getElementById('ingredient2-ml').value = '';
  document.getElementById('ingredient3-ml').value = '';
  document.getElementById('ingredient4-ml').value = '';
};
//#endregion

//#region ListenTo
const listentopourcocktail = function() {
  document.querySelector('.js-pour-cocktail').addEventListener('click', function() {
    // console.log(document.querySelector('.js-cocktail-select').value);
    socket.emit('pourcocktails', document.querySelector('.js-cocktail-select').value);
    console.log('pour');
  });
};

const listentodelcocktail = function() {
  let delButton = document.querySelectorAll('.js-del-cocktail');
  console.log(delButton);
  for (const i of delButton) {
    i.addEventListener('click', function() {
      //console.log(i.value);
      handleData(IP + `delcocktail/${i.value}`, refresh, 'DELETE');
    });
  }
};

const listentoaddbutton = function() {
  document.querySelector('.js-addcocktail').addEventListener('click', postcocktail);
};

socket.on('placecard', function(value) {
  if (value.placed == 0) {
    document.querySelector('.js-overlay').innerHTML = `
        <div class="c-overlay">
        <div class="c-overlay__text-box">
            <h1 class="c-overlay__text">scan your card</h1>
        </div>
        </div>
        `;
  }
  if (value.placed == 1) {
    document.querySelector('.js-overlay').innerHTML = ``;
  }
});
//#endregion

const refresh = function(value) {
  console.log(value);
  getCocktails();
  getbottle();
  listentopourcocktail();
  listentoaddbutton();
};

//#region init
const init = function() {
  socket.on('connect', function() {
    console.log('connected');
  });
  getCocktails();
  getbottle();
  listentopourcocktail();
  listentoaddbutton();
};

document.addEventListener('DOMContentLoaded', function() {
  console.info('DOM geladen');
  init();
});

//#endregion
