from RPi import GPIO
import time
acked = 0


class I2C():
    def __init__(self,sda,scl,address,dot=0):
        self.sda = sda
        self.scl = scl
        self.__address = address
        self.__dot = dot

        GPIO.setmode(GPIO.BCM)

        GPIO.setup(sda, GPIO.OUT)
        GPIO.setup(scl, GPIO.OUT)

        self.setup()

    def setup(self):
        GPIO.output(self.sda, GPIO.HIGH)
        GPIO.output(self.scl, GPIO.HIGH)

    def start(self):
        GPIO.output(self.sda, GPIO.LOW)
        GPIO.output(self.scl, GPIO.LOW)

    def write_one_bit(self,bit):
        if bit == True:
            GPIO.output(self.sda, GPIO.HIGH)
            GPIO.output(self.scl, GPIO.HIGH)
            GPIO.output(self.scl, GPIO.LOW)
            GPIO.output(self.sda, GPIO.LOW)
        elif bit == False:
            GPIO.output(self.scl, GPIO.HIGH)
            GPIO.output(self.scl, GPIO.LOW)

    def write_byte(self,byte):  # ook voor adres
        if self.dot == 0:
            mask = 0x80  # mask is in hex
            for i in range(0, 8):
                if byte & mask:
                    self.write_one_bit(True)
                else:
                    self.write_one_bit(False)
                # mask 1 opschuiven
                mask = mask >> 1

            self.ack()
        elif self.dot == True:
            byte = byte + 0b10000000
            mask = 0x80  # mask is in hex
            for i in range(0, 8):
                if byte & mask:
                    self.write_one_bit(True)
                else:
                    self.write_one_bit(False)
                # mask 1 opschuiven
                mask = mask >> 1
            self.ack()

    def ack(self):
        GPIO.setup(self.sda, GPIO.IN, GPIO.PUD_UP)
        GPIO.output(self.scl, GPIO.HIGH)
        if GPIO.input(self.sda) == 0:
            print("ack OK")
            acked = 1
        else:
            print("ack Niet OK")
            acked = 0

        GPIO.setup(self.sda, GPIO.OUT)
        GPIO.output(self.scl, GPIO.LOW)

    def stop(self):
        GPIO.output(self.scl, GPIO.LOW)
        GPIO.output(self.sda, GPIO.LOW)

    @property
    def address(self):
        return self.__address

    @address.setter
    def address(self, value):
        self.__address = value

    @property
    def dot(self):
        return self.__dot

    @dot.setter
    def dot(self, value):
        self.__dot = value

    @staticmethod
    def zoek_adres(sda,scl):
        adressen = []
        begin = 0b0111000
        mask = 0b000
        for i in range(0,8):
            begin = begin + mask
            begin = begin << 1
            test = I2C(sda,scl,begin)
            test.start()
            test.write_byte(begin)
            test.stop()
            if acked == 1:
                adressen.append(begin)
            elif acked == 0:
                pass
            mask = mask + 0b1

        print(adressen)