from RPi import GPIO
import time


class LCD():
    def __init__(self,bd,rs,e,isvierbits=False):
        self.bd = bd
        self.rs = rs
        self.e = e
        self.vierbits = isvierbits

        GPIO.setmode(GPIO.BCM)

        for i in bd:
            GPIO.setup(i, GPIO.OUT)

        GPIO.setup(e, GPIO.OUT)  # E
        GPIO.setup(rs, GPIO.OUT)  # RS
        GPIO.output(rs, GPIO.HIGH)

        if self.vierbits == False:
            self.send_instructions(0x38)  # function set
        elif self.vierbits == True:
            print('4 bits set')
            self.send_instructions(0x28)
        self.send_instructions(0x0F)  # display on
        self.send_instructions(0x01)  # clear display and cursor

    def send_instructions(self,value):
        GPIO.output(self.rs, GPIO.LOW)
        self.set_data_bits(value)
        GPIO.output(self.rs, GPIO.HIGH)
        time.sleep(0.01)

    def send_msg(self,value):
        for i in range(0, len(value)):
            self.set_data_bits(ord(value[i]))

    def set_data_bits(self,value):
        if self.vierbits == False:
            mask = 0x80
            GPIO.output(self.e, GPIO.HIGH)
            for i in range(0, 8):
               if value & mask:
                    GPIO.output(self.bd[i], GPIO.HIGH)
                    # print("HIGH")
               elif not value & mask:
                   GPIO.output(self.bd[i], GPIO.LOW)
                   # print("LOW")
               mask = mask >> 1
            time.sleep(0.01)
            GPIO.output(self.e, GPIO.LOW)
            time.sleep(0.01)
        elif self.vierbits == True:
            # print('4 bits')
            mask = 0x80
            GPIO.output(self.e, GPIO.HIGH)
            for i in range(0, 4):
                print('range : {0}'.format(i))
                if value & mask:
                    GPIO.output(self.bd[i], GPIO.HIGH)
                    print("HIGH")
                elif not value & mask:
                   GPIO.output(self.bd[i], GPIO.LOW)
                   print("LOW")
                mask = mask >> 1
            time.sleep(0.02)
            GPIO.output(self.e, GPIO.LOW)
            time.sleep(0.02)

            GPIO.output(self.e, GPIO.HIGH)
            for i in range(4, 8):
               print('range : {0}'.format(i))
               if value & mask:
                    GPIO.output(self.bd[i-4], GPIO.HIGH)
                    print("HIGH")
               elif not value & mask:
                   GPIO.output(self.bd[i-4], GPIO.LOW)
                   print("LOW")
               mask = mask >> 1

            time.sleep(0.02)
            GPIO.output(self.e, GPIO.LOW)
            time.sleep(0.02)


            print("__________________________________________")

    def reset_lcd(self):
        if self.vierbits == True:
            self.send_instructions(0x28)
        elif self.vierbits == False:
            self.send_instructions(0x38)  # function set
        self.send_instructions(0x0F)  # display on
        self.send_instructions(0x01)  # clear display and cursor

    def second_row(self):
        self.send_instructions(0xa8)

    def cursor_home(self):
        self.send_instructions(0x02)

