from RPi import GPIO
import time


class Button():
    def __init__(self,pin,bouncetime = 200,pull_up=True):
        self.pin = pin
        self.bouncetime = bouncetime
        self.pull_up = pull_up

        GPIO.setmode(GPIO.BCM)
        if pull_up:
            GPIO.setup(pin,GPIO.IN,GPIO.PUD_UP)
        # else:
        #     GPIO.setup(pin, GPIO.IN, GPIO.PUD_DOWN)

    @property
    def pressed(self):
        if self.pull_up:
            return not GPIO.input(self.pin)
        # else:
        #     return GPIO.input(self.pin)

    def on_press(self,callback_methode):
        GPIO.add_event_detect(self.pin,GPIO.FALLING,callback_methode,bouncetime = self.bouncetime)

