from spidev import SpiDev
import time


class MAX7219():
    def __init__(self,CE = 0):
        self.ce = CE
        self.spi = SpiDev()
        self.spi.open(0,self.ce)
        self.spi.max_speed_hz = 100000

        self.spi.writebytes([0xB, 0x7])  # Waarde naar register schrijven
        self.spi.writebytes([0xA, 0xf])  # Waarde naar register schrijven
        self.spi.writebytes([0xC, 0x01])  # Waarde naar register schrijven
        self.spi.writebytes([0xf, 0])
        print("done")

    def draw_rectangle_with_cross(self):
        self.spi.writebytes([0x1, 0xff])
        self.spi.writebytes([0x2, 0xc3])
        self.spi.writebytes([0x3, 0xa5])
        self.spi.writebytes([0x4, 0x99])
        self.spi.writebytes([0x5, 0x99])
        self.spi.writebytes([0x6, 0xa5])
        self.spi.writebytes([0x7, 0xc3])
        self.spi.writebytes([0x8, 0xff])

    def draw_rectangle(self):
        self.spi.writebytes([0x1, 0xff])
        self.spi.writebytes([0x2, 0x81])
        self.spi.writebytes([0x3, 0x81])
        self.spi.writebytes([0x4, 0x81])
        self.spi.writebytes([0x5, 0x81])
        self.spi.writebytes([0x6, 0x81])
        self.spi.writebytes([0x7, 0x81])
        self.spi.writebytes([0x8, 0xff])

    def delete_matrix(self):
        # self.spi.writebytes([0xf,0])
        self.spi.writebytes([0x1, 0x00])
        self.spi.writebytes([0x2, 0x00])
        self.spi.writebytes([0x3, 0x00])
        self.spi.writebytes([0x4, 0x00])
        self.spi.writebytes([0x5, 0x00])
        self.spi.writebytes([0x6, 0x00])
        self.spi.writebytes([0x7, 0x00])
        self.spi.writebytes([0x8, 0x00])

    def display_on(self):
        self.spi.writebytes([0xc, 1])

    def display_off(self):
        self.spi.writebytes([0xc, 0])

    def test_matrix(self):
        self.spi.writebytes([0xf,1])
        time.sleep(1)
        self.spi.writebytes([0xf,0])

    def set_intesity(self,value):
        self.spi.writebytes([0xa,value])

    def set_limit(self,limit):
        self.spi.writebytes([0xb,limit])

    def write_pixel(self,row,column):
        rowz = [0x1,0x2,0x3,0x4,0x5,0x6,0x7,0x8]
        colomz = [0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80]
        self.spi.writebytes([rowz[row - 1],colomz[column-1]])
        print(rowz[row - 1])
        print(colomz[column - 1])


