from RPi import GPIO
import time

class Shiftregister():
    def __init__(self,ds_pin,stcp_pin,mr_pin,oe_pin,shcp_pin):
        self.ds = ds_pin
        self.stcp = stcp_pin
        self.mr = mr_pin
        self.oe = oe_pin
        self.shcp = shcp_pin

        GPIO.setmode(GPIO.BCM)

        GPIO.setup(self.ds, GPIO.OUT)
        GPIO.setup(self.oe, GPIO.OUT)
        GPIO.setup(self.stcp, GPIO.OUT)
        GPIO.setup(self.shcp, GPIO.OUT)
        GPIO.setup(self.mr, GPIO.OUT)

        GPIO.output(self.ds, GPIO.LOW)
        GPIO.output(self.mr, GPIO.HIGH)
        GPIO.output(self.oe, GPIO.LOW)

    def write_one_bit(self,value):
        if value:
            GPIO.output(self.ds, GPIO.HIGH)
            GPIO.output(self.shcp, GPIO.HIGH)
            GPIO.output(self.ds, GPIO.LOW)
            GPIO.output(self.shcp, GPIO.LOW)

        elif not value:
            GPIO.output(self.ds, GPIO.LOW)
            GPIO.output(self.shcp, GPIO.HIGH)
            GPIO.output(self.shcp, GPIO.LOW)

    def write_one_byte(self,byte):
        mask = 0x80  # mask is in hex
        for i in range(0, 8):
            if byte & mask:
                self.write_one_bit(True)
            else:
                self.write_one_bit(False)
            # mask 1 opschuiven
            mask = mask >> 1
            time.sleep(0.01)

    def copy_to_storage_register(self):
        GPIO.output(self.stcp, GPIO.HIGH)
        GPIO.output(self.stcp, GPIO.LOW)

    def reset_shift_register(self):
        self.write_one_byte(0x00)

    def reset_storage_register(self):
        GPIO.output(self.mr, GPIO.LOW)
        GPIO.output(self.mr, GPIO.HIGH)